Package com.databricks.jdbc.dbclient.impl.common

## Class ClientConfigurator

- java.lang.Object
- - com.databricks.jdbc.dbclient.impl.common.ClientConfigurator

    public class ClientConfigurator
    extends Object

This class is responsible for configuring the Databricks config based on the connection context. The databricks config is then used to create the SDK or Thrift client.

### Field Summary

Fields
`static JdbcLogger` `LOGGER`

### Constructor Summary

Constructors
`ClientConfigurator​(IDatabricksConnectionContext connectionContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.databricks.sdk.core.DatabricksConfig` `getDatabricksConfig()`
`com.databricks.sdk.WorkspaceClient` `getWorkspaceClient()`
`void` `resetAccessTokenInConfig​(String newAccessToken)`
`void` `setupAccessTokenConfig()` Setup the PAT authentication settings in the databricks config.
`void` `setupAuthConfig()` Setup the workspace authentication settings in the databricks config.
`void` `setupM2MConfig()` Setup the OAuth M2M authentication settings in the databricks config.
`void` `setupOAuthAccessTokenConfig()`
`void` `setupOAuthConfig()` Setup the OAuth authentication settings in the databricks config.
`void` `setupProxyConfig()` Setup proxy settings in the databricks config.
`void` `setupU2MConfig()` Setup the OAuth U2M authentication settings in the databricks config.
`void` `setupU2MRefreshConfig()` Setup the OAuth U2M refresh token authentication settings in the databricks config.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOGGER

    public static final JdbcLogger LOGGER

### Constructor Detail

#### ClientConfigurator

    public ClientConfigurator​(IDatabricksConnectionContext connectionContext)

### Method Detail

#### setupProxyConfig

    public void setupProxyConfig()

Setup proxy settings in the databricks config.

#### getWorkspaceClient

    public com.databricks.sdk.WorkspaceClient getWorkspaceClient()

#### setupAuthConfig

    public void setupAuthConfig()

Setup the workspace authentication settings in the databricks config.

#### setupOAuthConfig

    public void setupOAuthConfig()
                          throws DatabricksParsingException

Setup the OAuth authentication settings in the databricks config.

Throws:
  `DatabricksParsingException`

#### setupU2MConfig

    public void setupU2MConfig()
                        throws DatabricksParsingException

Setup the OAuth U2M authentication settings in the databricks config.

Throws:
  `DatabricksParsingException`

#### setupAccessTokenConfig

    public void setupAccessTokenConfig()
                                throws DatabricksParsingException

Setup the PAT authentication settings in the databricks config.

Throws:
  `DatabricksParsingException`

#### setupOAuthAccessTokenConfig

    public void setupOAuthAccessTokenConfig()
                                     throws DatabricksParsingException

Throws:
  `DatabricksParsingException`

#### resetAccessTokenInConfig

    public void resetAccessTokenInConfig​(String newAccessToken)

#### setupU2MRefreshConfig

    public void setupU2MRefreshConfig()
                               throws DatabricksParsingException

Setup the OAuth U2M refresh token authentication settings in the databricks config.

Throws:
  `DatabricksParsingException`

#### setupM2MConfig

    public void setupM2MConfig()
                        throws DatabricksParsingException

Setup the OAuth M2M authentication settings in the databricks config.

Throws:
  `DatabricksParsingException`

#### getDatabricksConfig

    public com.databricks.sdk.core.DatabricksConfig getDatabricksConfig()